# VoxelCell

#### new Cesium.VoxelCell()
MapGIS/Scene/VoxelCell.js 31

A cell from a `VoxelPrimitive`.

Provides access to properties associated with one cell of a voxel primitive.

Do not construct this directly. Access it through picking using `Scene#pickVoxel`.

##### Example:

    // On left click, display all the properties for a voxel cell in the console log.
    handler.setInputAction(function(movement) {
      const voxelCell = scene.pickVoxel(movement.position);
      if (voxelCell instanceof Cesium.VoxelCell) {
        const propertyIds = voxelCell.getNames();
        const length = propertyIds.length;
        for (let i = 0; i < length; ++i) {
          const propertyId = propertyIds[i];
          console.log(`{propertyId}: ${voxelCell.getProperty(propertyId)}`);
        }
      }
    }, Cesium.ScreenSpaceEventType.LEFT_CLICK);

##### Experimental

This feature is not final and is subject to change without Cesium's standard deprecation policy.

### Methods

#### getNames() → Array.<string>
MapGIS/Scene/VoxelCell.js 68

Returns an array of metadata property names for the feature.

##### Returns:

The IDs of the feature's properties.

#### getProperty(name) → *
MapGIS/Scene/VoxelCell.js 86

Returns a copy of the value of the metadata in the cell with the given name.

Name | Type | Description
--- | --- | ---
`name` | string | The case-sensitive name of the property.

##### Returns:

The value of the property or `undefined` if the feature does not have this property.

##### Example:

    // Display all the properties for a voxel cell in the console log.
    const names = voxelCell.getNames();
    for (let i = 0; i < names.length; ++i) {
      const name = names[i];
      console.log(`{name}: ${voxelCell.getProperty(name)}`);
    }

#### hasProperty(name) → boolean
MapGIS/Scene/VoxelCell.js 59

Returns `true` if the feature contains this property.

Name | Type | Description
--- | --- | ---
`name` | string | The case-sensitive name of the property.

##### Returns:

Whether the feature contains this property.